Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfResourceMetrics

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfStatus
              com.sun.mfwk.util.instrum.MfMetric
                  com.sun.mfwk.util.instrum.MfResourceMetrics

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, MfMetricMBean, MfResourceMetricsMBean, MfStatusMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

public class MfResourceMetrics
extends MfMetric
implements MfResourceMetricsMBean

MfResourceMetrics contains the generic metrics related to a resource.

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Constructor Summary
`MfResourceMetrics()`

Method Summary
`long` | `getAccumulatedOperationTime()` Get the accumulated operation time since the reference time.
`long` | `getAccumulatedSqOperationTime()` Get the accumulated squared operation time since the reference time.
`long` | `getFailedOperations()` Get the number of failed operations.
`long` | `getMaxOperationTime()` Get the maximum operation time since the reference time.
`long` | `getMinOperationTime()` Get the minimum operation time since the reference time.
`long` | `getNbOperations()` Get the number of operations.
`void` | `resetMetrics()` Reset all the metrics.
`void` | `setAccumulatedOperationTime(long p)` Set the accumulated operation time since the reference time.
`void` | `setAccumulatedSqOperationTime(long p)` Set the accumulated squared operation time since the reference time.
`void` | `setFailedOperations(long p)` Set the number of failed operations.
`void` | `setMaxOperationTime(long p)` Set the maximum operation time since the reference time.
`void` | `setMinOperationTime(long p)` Set the minimum operation time since the reference time.
`void` | `setNbOperations(long p)` Set the number of operations.

Methods inherited from class com.sun.mfwk.util.instrum.MfMetric
`disableMonitoring, enableMonitoring, handleNotification, isMonitoringEnabled, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class com.sun.mfwk.util.instrum.MfStatus
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime, setAvailabilityState, setAvailStateLastChange, setDegradedTime, setOperationalState, setOpsStateLastChange, setRunningTime`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Constructor Detail

### MfResourceMetrics

    public MfResourceMetrics()

Method Detail

### getFailedOperations

    public long getFailedOperations()

  Get the number of failed operations.

  Specified by:
    `getFailedOperations` in interface `MfResourceMetricsMBean`

### getNbOperations

    public long getNbOperations()

  Get the number of operations.

  Specified by:
    `getNbOperations` in interface `MfResourceMetricsMBean`

### getMinOperationTime

    public long getMinOperationTime()

  Get the minimum operation time since the reference time.

  Specified by:
    `getMinOperationTime` in interface `MfResourceMetricsMBean`

### getMaxOperationTime

    public long getMaxOperationTime()

  Get the maximum operation time since the reference time.

  Specified by:
    `getMaxOperationTime` in interface `MfResourceMetricsMBean`

### getAccumulatedOperationTime

    public long getAccumulatedOperationTime()

  Get the accumulated operation time since the reference time.

  Specified by:
    `getAccumulatedOperationTime` in interface `MfResourceMetricsMBean`

### getAccumulatedSqOperationTime

    public long getAccumulatedSqOperationTime()

  Get the accumulated squared operation time since the reference time.

  Specified by:
    `getAccumulatedSqOperationTime` in interface `MfResourceMetricsMBean`

### resetMetrics

    public void resetMetrics()

  Reset all the metrics.

  Specified by:
    `resetMetrics` in interface `MfMetricMBean`
  Specified by:
    `resetMetrics` in class `MfMetric`

### setFailedOperations

    public void setFailedOperations(long p)

  Set the number of failed operations.

### setNbOperations

    public void setNbOperations(long p)

  Set the number of operations.

### setMinOperationTime

    public void setMinOperationTime(long p)

  Set the minimum operation time since the reference time.

### setMaxOperationTime

    public void setMaxOperationTime(long p)

  Set the maximum operation time since the reference time.

### setAccumulatedOperationTime

    public void setAccumulatedOperationTime(long p)

  Set the accumulated operation time since the reference time.

### setAccumulatedSqOperationTime

    public void setAccumulatedSqOperationTime(long p)

  Set the accumulated squared operation time since the reference time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD